services:
  - type: web
    name: shreeclass-attendance-backend
    runtime: docker
    dockerfilePath: ./backend/Dockerfile
    plan: free
    envVars:
      - key: DB_HOST
        sync: false
      - key: DB_PORT
        value: "3306"
      - key: DB_NAME
        sync: false
      - key: DB_USERNAME
        sync: false
      - key: DB_PASSWORD
        sync: false
      - key: JWT_SECRET
        generateValue: true
      - key: PORT
        value: "8080"
